Bug 476423 - Enable xfs usage with current xorg-server
Enable xfs usage with current xorg-server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 09:30 EST by maksym
Modified: 2009-12-18 02:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:17:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adopted patch 0001-Replace-dixLookupResource-by-dixLookupResourceBy-Typ.patch for use against xorg-server-1.5.3 (31.04 KB, patch)
2008-12-14 09:30 EST, maksym
no flags Details | Diff

  None (edit)
Description maksym 2008-12-14 09:30:48 EST
Created attachment 326872 [details]
adopted patch 0001-Replace-dixLookupResource-by-dixLookupResourceBy-Typ.patch for use against xorg-server-1.5.3

During deployment of LTSP5 i found that it's unable to run some application from thin client. The error was 'BadName (named color or font does not exist)'.

That was easy reproducible:

[verem@elbrus ~]$ gedit --sync
The program 'gedit' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadName (named color or font does not exist)'.
  (Details: serial 127 error_code 15 request_code 45 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[verem@elbrus ~]$ gcalctool --sync
The program 'gcalctool' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadName (named color or font does not exist)'.
  (Details: serial 449 error_code 15 request_code 45 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

This happens if xfs is used, but thin client have to use XFS by definition.

After some exploration if found that it's actually bug in xorg-server package:
http://lists.freedesktop.org/archives/xorg/2008-August/037554.html
actually was referred from:
https://bugzilla.redhat.com/show_bug.cgi?id=430416
but still not fixed.

After applying (and adopting to 1.5.3) all applications start normally and no problem with xfs usage on thin clients.
Comment 1 Ian Dall 2009-03-14 07:34:18 EDT
This is actually a duplicate of 430416. It would be nice to get this as a FC10 update.
Comment 2 Bug Zapper 2009-11-18 05:28:19 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:17:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.